aboutsummaryrefslogtreecommitdiffstats
path: root/vagrant_build.sh
diff options
context:
space:
mode:
authorEvan Huus <eapache@gmail.com>2015-06-25 23:48:48 -0700
committerEvan Huus <eapache@gmail.com>2015-06-26 06:52:58 +0000
commit8f40e2cd8dc335fa9c927dba38000f8dde8e0b98 (patch)
tree88056d3047ae6a53e2a43d878a607a0673911c5b /vagrant_build.sh
parent4975c068b53d5061f032caf4d0e1094bce03096b (diff)
tools: permit setting BIN_DIR in the environment
For out-of-tree builds you have to pass the location of your build to our tools like the fuzz script, valgrind script etc. Modify them so that the value can be set in the environment rather than requiring a shell script flag. Set the environment variable in the vagrant provision step, so that the scripts Just Work (TM) in the VM. Change-Id: If8ce6b278176085ba6dd994137b82fc989b80124 Reviewed-on: https://code.wireshark.org/review/9168 Reviewed-by: Evan Huus <eapache@gmail.com>
Diffstat (limited to 'vagrant_build.sh')
-rw-r--r--vagrant_build.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/vagrant_build.sh b/vagrant_build.sh
index 49a2ed869d..293755f577 100644
--- a/vagrant_build.sh
+++ b/vagrant_build.sh
@@ -23,6 +23,7 @@
set -e
grep -q WIRESHARK_RUN_FROM_BUILD_DIRECTORY ~/.profile || echo "export WIRESHARK_RUN_FROM_BUILD_DIRECTORY=1" >> ~/.profile
+grep -q WIRESHARK_BIN_DIR ~/.profile || echo "export WIRESHARK_BIN_DIR=~/build/run" >> ~/.profile
mkdir -p build
cd build
cmake /vagrant/